- update tasks to 0.16

* unbreaks after evolution-data-server update
- regen WANTLIB
This commit is contained in:
jasper 2009-10-13 11:01:22 +00:00
parent 2f1d59e5bc
commit a5c66e7b51
4 changed files with 20 additions and 111 deletions

View File

@ -1,9 +1,8 @@
# $OpenBSD: Makefile,v 1.4 2009/08/10 06:34:09 kili Exp $
# $OpenBSD: Makefile,v 1.5 2009/10/13 11:01:22 jasper Exp $
COMMENT= lightweight tasklist
DISTNAME= tasks-0.13
PKGNAME= ${DISTNAME}p2
DISTNAME= tasks-0.16
CATEGORIES= productivity x11
HOMEPAGE= http://pimlico-project.org/tasks.html
@ -16,14 +15,14 @@ PERMIT_DISTFILES_FTP= Yes
MASTER_SITES= http://pimlico-project.org/sources/tasks/
WANTLIB= ORBit-2 X11 Xau Xcomposite Xcursor Xdamage Xdmcp Xext \
Xfixes Xi Xinerama Xrandr Xrender atk-1.0 \
bonobo-2 bonobo-activation c cairo expat \
fontconfig freetype gconf-2 gdk-x11-2.0 gdk_pixbuf-2.0 \
glib-2.0 glitz gmodule-2.0 gnome-2 gnomevfs-2 gnutls \
gobject-2.0 gthread-2.0 gtk-x11-2.0 m pango-1.0 \
pangocairo-1.0 pangoft2-1.0 pixman-1 png popt pthread \
xml2 z dbus-1 gio-2.0 soup-2.4 pthread-stubs xcb
WANTLIB += ORBit-2 X11 Xau Xcomposite Xcursor Xdamage Xdmcp Xext
WANTLIB += Xfixes Xi Xinerama Xrandr Xrender atk-1.0 bonobo-2
WANTLIB += bonobo-activation c cairo dbus-1 expat fontconfig freetype
WANTLIB += gconf-2 gdk-x11-2.0 gdk_pixbuf-2.0 gio-2.0 glib-2.0
WANTLIB += glitz gmodule-2.0 gnutls gobject-2.0 gthread-2.0 gtk-x11-2.0
WANTLIB += ical icalss icalvcal m pango-1.0 pangocairo-1.0 pangoft2-1.0
WANTLIB += pixman-1 png pthread pthread-stubs soup-2.4 xcb xml2
WANTLIB += z
MODULES= devel/gettext \
textproc/intltool
@ -38,7 +37,6 @@ RUN_DEPENDS= ::devel/desktop-file-utils
CONFIGURE_STYLE= gnu
CONFIGURE_ARGS+= ${CONFIGURE_SHARED} \
--enable-gtk \
--disable-owl \
--disable-hildon \
--disable-omoko
CONFIGURE_ENV= CPPFLAGS="-I${LOCALBASE}/include" \

View File

@ -1,5 +1,5 @@
MD5 (tasks-0.13.tar.gz) = U2/7vQ84SJyOPqnq8PZ9WQ==
RMD160 (tasks-0.13.tar.gz) = 63NNcDnCl79DaWUvTB8+w3ONLkM=
SHA1 (tasks-0.13.tar.gz) = sK2CV2v+xkYhKIK99joKtb2fLVQ=
SHA256 (tasks-0.13.tar.gz) = OhAp61h6BYfPPry4wlYGLKWVtPXQowGI+kquOttJylo=
SIZE (tasks-0.13.tar.gz) = 335079
MD5 (tasks-0.16.tar.gz) = 7YnNDl2Fr91K+YlRCe1laQ==
RMD160 (tasks-0.16.tar.gz) = I6yhehpXZsSl/FO2HEE37/mGzVk=
SHA1 (tasks-0.16.tar.gz) = 0HEgl8P7pU2D8wH8RIFNBT6iNWs=
SHA256 (tasks-0.16.tar.gz) = NDh33Gw+1ddHXC+opQ8eWPS83afd7cN/Ua1tc3qfgxI=
SIZE (tasks-0.16.tar.gz) = 258000

View File

@ -1,91 +0,0 @@
$OpenBSD: patch-configure,v 1.1.1.1 2008/07/04 16:20:41 pyr Exp $
--- configure.orig Fri Jul 4 13:30:56 2008
+++ configure Fri Jul 4 13:31:22 2008
@@ -7460,87 +7460,6 @@ echo "${ECHO_T}yes" >&6; }
:
fi
-# Check for libsexy 0.1.12. Older versions don't support icon-names in the
-# entries, so don't work.
-
-pkg_failed=no
-{ echo "$as_me:$LINENO: checking for SEXY" >&5
-echo $ECHO_N "checking for SEXY... $ECHO_C" >&6; }
-
-if test -n "$PKG_CONFIG"; then
- if test -n "$SEXY_CFLAGS"; then
- pkg_cv_SEXY_CFLAGS="$SEXY_CFLAGS"
- else
- if test -n "$PKG_CONFIG" && \
- { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"libsexy >= 0.1.12\"") >&5
- ($PKG_CONFIG --exists --print-errors "libsexy >= 0.1.12") 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); }; then
- pkg_cv_SEXY_CFLAGS=`$PKG_CONFIG --cflags "libsexy >= 0.1.12" 2>/dev/null`
-else
- pkg_failed=yes
-fi
- fi
-else
- pkg_failed=untried
-fi
-if test -n "$PKG_CONFIG"; then
- if test -n "$SEXY_LIBS"; then
- pkg_cv_SEXY_LIBS="$SEXY_LIBS"
- else
- if test -n "$PKG_CONFIG" && \
- { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"libsexy >= 0.1.12\"") >&5
- ($PKG_CONFIG --exists --print-errors "libsexy >= 0.1.12") 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); }; then
- pkg_cv_SEXY_LIBS=`$PKG_CONFIG --libs "libsexy >= 0.1.12" 2>/dev/null`
-else
- pkg_failed=yes
-fi
- fi
-else
- pkg_failed=untried
-fi
-
-
-
-if test $pkg_failed = yes; then
-
-if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
- _pkg_short_errors_supported=yes
-else
- _pkg_short_errors_supported=no
-fi
- if test $_pkg_short_errors_supported = yes; then
- SEXY_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "libsexy >= 0.1.12"`
- else
- SEXY_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "libsexy >= 0.1.12"`
- fi
- # Put the nasty error message in config.log where it belongs
- echo "$SEXY_PKG_ERRORS" >&5
-
- { echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6; }
- sexy=no
-elif test $pkg_failed = untried; then
- sexy=no
-else
- SEXY_CFLAGS=$pkg_cv_SEXY_CFLAGS
- SEXY_LIBS=$pkg_cv_SEXY_LIBS
- { echo "$as_me:$LINENO: result: yes" >&5
-echo "${ECHO_T}yes" >&6; }
- sexy=yes
-fi
-if test $sexy = yes; then
-
-cat >>confdefs.h <<\_ACEOF
-#define HAVE_SEXY 1
-_ACEOF
-
-fi
-
# Check whether --enable-gtk was given.
if test "${enable_gtk+set}" = set; then

View File

@ -1,4 +1,4 @@
@comment $OpenBSD: PLIST,v 1.1.1.1 2008/07/04 16:20:41 pyr Exp $
@comment $OpenBSD: PLIST,v 1.2 2009/10/13 11:01:22 jasper Exp $
@bin bin/tasks
share/applications/tasks.desktop
share/icons/
@ -39,6 +39,7 @@ share/locale/el/LC_MESSAGES/tasks.mo
share/locale/es/LC_MESSAGES/tasks.mo
share/locale/et/LC_MESSAGES/tasks.mo
share/locale/eu/LC_MESSAGES/tasks.mo
share/locale/fi/LC_MESSAGES/tasks.mo
share/locale/fr/LC_MESSAGES/tasks.mo
share/locale/gl/LC_MESSAGES/tasks.mo
share/locale/id/LC_MESSAGES/tasks.mo
@ -52,11 +53,12 @@ share/locale/ro/LC_MESSAGES/tasks.mo
share/locale/ru/LC_MESSAGES/tasks.mo
share/locale/sk/LC_MESSAGES/tasks.mo
share/locale/sv/LC_MESSAGES/tasks.mo
share/locale/th/
share/locale/th/LC_MESSAGES/
share/locale/th/LC_MESSAGES/tasks.mo
share/locale/tr/LC_MESSAGES/tasks.mo
share/locale/vi/LC_MESSAGES/tasks.mo
share/locale/zh_CN/LC_MESSAGES/tasks.mo
share/tasks/
share/tasks/tasks-ui.xml
@exec %D/bin/gtk-update-icon-cache -q -f -t %D/share/icons/hicolor 2> /dev/null || true
@unexec %D/bin/gtk-update-icon-cache -q -f -t %D/share/icons/hicolor 2> /dev/null || true
@exec %D/bin/update-desktop-database